""" Pythonklasse fr avanti-cl

    abgeleitet von qrixjob.py
    2002 UB Braunschweig

    2002 Grlitz, Volker Bachschneider
"""

import sys, os, time                 # Systeminformationen u. Funktionen
import win32pipe

class avcl :

    def __init__( self ) :

        self.result = ""
        self.log = ""
        self.job = ""
        self.busy = 0
        self.offline = 0
        self.prog = "avanti-cl.exe"

        self.createPipe()

    def lockObj( self ) :
        self.busy = 1

    def readJob( self, jobfile ):
        """ Liest job ein und liefer den Inhalt der Datei als 
            Zeichenkette zurck
        """
        self.job = open( jobfile, "r").read()            

    def printResult( self ):
        """ ergebnis rausschreiben
        """        
        f = open( "ergebnis.txt", "a" )
        f.write( self.result )
        f.close()
        #print self.result


    def saveLog( self ):
        """ Hngt die Logging-Informationen an logging.xml dran
        """
        f = open( "logging.xml", "a" )
        f.write( self.log )
        f.close()


    def createPipe( self ):
        ( self.stdin, self.stdout, self.stderr ) = win32pipe.popen3( self.prog )

    def sendJob( self ) :
        self.stdin.write( self.job )
        self.stdin.write( "\x1a" )

    def receiveResult( self ) :
        self.result = self.stdout.read()
        self.log = self.stderr.read()
        self.offline = 1

    def recreateObj( self ) :
        if self.offline :
            self.createPipe()
            self.offline = 0
            self.busy = 0
            return 1
        else :
            return 0
            
def main():
    av = avcl()
    av.readJob("find.job")
    av.sendJob()
    av.receiveResult()
    print av.result

def debug():
    import pdb
    pdb.run("main()")

if __name__ == "__main__":
    main()


