from avcl import avcl
import SimpleXMLRPCServer
import string

def response(s) :
    print "response: %s" % s
    return s

def jobfile(filename) :
    print "Job: %s" % filename
    av = avcl()
    av.readJob(filename)
    av.sendJob()
    av.receiveResult()
    print av.result
    return av.result

def jobstring(job) :
    av = avcl()
    av.job = job
    av.sendJob()
    av.receiveResult()
    return av.result

host = "localhost"
port = 8002
server = SimpleXMLRPCServer.SimpleXMLRPCServer((host, port))
print "Avanti-cl XMLRPC-Server running at: %s:%s" % (host, port)

#Hier Funktionen registieren
server.register_function(response)
server.register_function(jobfile)
server.register_function(jobstring)

server.serve_forever()